package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.EmbarqueCatracaRodoviariaDAO;
import com.rjconsultores.ventaboletos.entidad.EmbarqueCatracaRodoviaria;
import com.rjconsultores.ventaboletos.service.EmbarqueCatracaRodoviariaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("embarqueCatracaRodoviariaService")
public class EmbarqueCatracaRodoviariaServiceImpl implements EmbarqueCatracaRodoviariaService {
	@Autowired
	private EmbarqueCatracaRodoviariaDAO embarqueCatracaDAO;

	@Override
	public List<EmbarqueCatracaRodoviaria> obtenerTodos() {
		return embarqueCatracaDAO.obtenerTodos();
	}

	@Transactional
	public EmbarqueCatracaRodoviaria suscribir(EmbarqueCatracaRodoviaria embarqueCatracaRodoviaria) {
		embarqueCatracaRodoviaria.setFecModif(new Date());
		embarqueCatracaRodoviaria.setUsuario(UsuarioLogado.getUsuarioLogado());
		if (embarqueCatracaRodoviaria.getEmbarqueCatracaRodoviariaId() == null) {
			return embarqueCatracaDAO.suscribir(embarqueCatracaRodoviaria);
		}
		return embarqueCatracaDAO.actualizacion(embarqueCatracaRodoviaria);
	}
	
	@Transactional
	public void borrar(EmbarqueCatracaRodoviaria entidad) {
		entidad.setUsuario(UsuarioLogado.getUsuarioLogado());
		entidad.setFecModif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		embarqueCatracaDAO.actualizacion(entidad);
	}
}